package com.hw.dms.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;

/**
 * 停机记录对象 dms_record_shut_down
 * 
 * @author Open Platform
 * @date 2024-01-15
 */
public class DmsRecordShutDown extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键标识;scada上报的记录 */
    private Long recordShutDownId;

    /** 设备ID，关联dms_base_device_ledger的device_id */
    @Excel(name = "设备ID，关联dms_base_device_ledger的device_id")
    private Long deviceId;

    /** 停机类型ID，关联dm_base_shut_type的shut_type_id */
    @Excel(name = "停机类型ID，关联dm_base_shut_type的shut_type_id")
    private Long shutType;

    /** 停机原因 */
    @Excel(name = "停机原因")
    private String shutReason;

    /** 停机开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "停机开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date shutBeginTime;

    /** 停机结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "停机结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date shutEndTime;

    /** 停机时长 */
    @Excel(name = "停机时长")
    private BigDecimal shutTime;

    /** 是否标识：1-是；2-否 */
    @Excel(name = "是否标识：1-是；2-否")
    private Long isFlag;

    public void setRecordShutDownId(Long recordShutDownId) 
    {
        this.recordShutDownId = recordShutDownId;
    }

    public Long getRecordShutDownId() 
    {
        return recordShutDownId;
    }
    public void setDeviceId(Long deviceId) 
    {
        this.deviceId = deviceId;
    }

    public Long getDeviceId() 
    {
        return deviceId;
    }
    public void setShutType(Long shutType) 
    {
        this.shutType = shutType;
    }

    public Long getShutType() 
    {
        return shutType;
    }
    public void setShutReason(String shutReason) 
    {
        this.shutReason = shutReason;
    }

    public String getShutReason() 
    {
        return shutReason;
    }
    public void setShutBeginTime(Date shutBeginTime) 
    {
        this.shutBeginTime = shutBeginTime;
    }

    public Date getShutBeginTime() 
    {
        return shutBeginTime;
    }
    public void setShutEndTime(Date shutEndTime) 
    {
        this.shutEndTime = shutEndTime;
    }

    public Date getShutEndTime() 
    {
        return shutEndTime;
    }
    public void setShutTime(BigDecimal shutTime) 
    {
        this.shutTime = shutTime;
    }

    public BigDecimal getShutTime() 
    {
        return shutTime;
    }
    public void setIsFlag(Long isFlag) 
    {
        this.isFlag = isFlag;
    }

    public Long getIsFlag() 
    {
        return isFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("recordShutDownId", getRecordShutDownId())
            .append("deviceId", getDeviceId())
            .append("shutType", getShutType())
            .append("shutReason", getShutReason())
            .append("shutBeginTime", getShutBeginTime())
            .append("shutEndTime", getShutEndTime())
            .append("shutTime", getShutTime())
            .append("isFlag", getIsFlag())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
